org.eclipse.actf.util.win32.comclutch

## Interface IUnknown

All Superinterfaces:
  IResource

All Known Subinterfaces:
  IAccessible, IDispatch, IEnumUnknown, IOleContainer, IServiceProvider

All Known Implementing Classes:
  Handler, org.eclipse.actf.util.win32.comclutch.impl.IUnknownImpl

    public interface IUnknown
    extends IResource

Wrapper for IUnknown object see http://msdn.microsoft.com/en-us/library/ms680509(VS.85).aspx

### Field Summary

Fields
`static UUID` `IID_IAccessible`
`static UUID` `IID_IHTMLElement`
`static UUID` `IID_IOleContainer`
`static UUID` `IID_IServiceProvider`
`static UUID` `IID_IWebBrowser2`

### Method Summary

Methods
`void` `addRef(long ptr)`
`int` `getTotalRefCount()`
`IUnknown` `newIUnknown(long ptr)` It will be called from native code
`IUnknown` `queryInterface(UUID iid)`
`void` `release()` call `ResourceManager.removeResource(IResource)` with this

### Methods inherited from interface org.eclipse.actf.util.win32.comclutch.IResource

`addResource, findInResource, getPtr, getResourceManager, isPermanent`

### Field Detail

#### IID_IOleContainer

    static final UUID IID_IOleContainer

#### IID_IWebBrowser2

    static final UUID IID_IWebBrowser2

#### IID_IServiceProvider

    static final UUID IID_IServiceProvider

#### IID_IHTMLElement

    static final UUID IID_IHTMLElement

#### IID_IAccessible

    static final UUID IID_IAccessible

### Method Detail

#### addRef

    void addRef(long ptr)

#### release

    void release()

Description copied from interface: `IResource`
call `ResourceManager.removeResource(IResource)` with this

Specified by:
  `release` in interface `IResource`

#### queryInterface

    IUnknown queryInterface(UUID iid)

#### newIUnknown

    IUnknown newIUnknown(long ptr)

It will be called from native code

#### getTotalRefCount

    int getTotalRefCount()

Returns:
  the total reference count